#include <zap.h>
#include <sys/ioctl.h>
#include <string.h>
#include <errno.h>
#include <linux/zaptel.h>
#include <stdio.h>

int main(int argc, char *argv[])
{
	ZT_PARAMS ztp;
	ZAP *z;
	char name[256];
	char number[256];
	if (argc < 2) {
		fprintf(stderr, "Usage: clidtest <fxo device>\n");
		exit(1);
	}
	z = zap_open(argv[1], 0);
	if (!z) {
		fprintf(stderr, "Error opening %s: %s\n", argv[1], strerror(errno));
		exit(1);
	}
	if (ioctl(zap_fd(z), ZT_GET_PARAMS, &ztp)) {
		fprintf(stderr, "Unable to read parameters: %s\n", strerror(errno));
		exit(1);
	}
	if (!(ztp.sigtype & __ZT_SIG_FXS)) {
		fprintf(stderr, "%s is not an FXO interface\n", argv[1]);
		exit(1);
	}
	if (zap_clid(z, number, name)) {
		fprintf(stderr, "Error getting Caller*ID...\n");
		exit(1);
	}
	printf("Number: %s, Name: %s\n", number, name);
	exit(0);
}
